IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network14.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
14.160.0.0- Broadcast address
14.191.255.255- First usable
14.160.0.1- Last usable
14.191.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0EA00000· Integer245366784to247463935 - Reverse DNS zones
160.14.in-addr.arpa161.14.in-addr.arpa162.14.in-addr.arpa163.14.in-addr.arpa164.14.in-addr.arpa165.14.in-addr.arpa166.14.in-addr.arpa167.14.in-addr.arpa168.14.in-addr.arpa169.14.in-addr.arpa170.14.in-addr.arpa171.14.in-addr.arpa172.14.in-addr.arpa173.14.in-addr.arpa174.14.in-addr.arpa175.14.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001110.10100000.00000000.00000000 | 14.160.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 00001110.10100000.00000000.00000000 | 14.160.0.0 |
| Broadcast | 00001110.10111111.11111111.11111111 | 14.191.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
14.160.0.0/11 makes 512 subnets of /20; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 14.160.0.0/20 | 14.160.0.1 to 14.160.15.254 | 14.160.15.255 | 4,094 |
| 2 | 14.160.16.0/20 | 14.160.16.1 to 14.160.31.254 | 14.160.31.255 | 4,094 |
| 3 | 14.160.32.0/20 | 14.160.32.1 to 14.160.47.254 | 14.160.47.255 | 4,094 |
| 4 | 14.160.48.0/20 | 14.160.48.1 to 14.160.63.254 | 14.160.63.255 | 4,094 |
| 5 | 14.160.64.0/20 | 14.160.64.1 to 14.160.79.254 | 14.160.79.255 | 4,094 |
| 6 | 14.160.80.0/20 | 14.160.80.1 to 14.160.95.254 | 14.160.95.255 | 4,094 |
| 7 | 14.160.96.0/20 | 14.160.96.1 to 14.160.111.254 | 14.160.111.255 | 4,094 |
| 8 | 14.160.112.0/20 | 14.160.112.1 to 14.160.127.254 | 14.160.127.255 | 4,094 |
| 9 | 14.160.128.0/20 | 14.160.128.1 to 14.160.143.254 | 14.160.143.255 | 4,094 |
| 10 | 14.160.144.0/20 | 14.160.144.1 to 14.160.159.254 | 14.160.159.255 | 4,094 |
| 11 | 14.160.160.0/20 | 14.160.160.1 to 14.160.175.254 | 14.160.175.255 | 4,094 |
| 12 | 14.160.176.0/20 | 14.160.176.1 to 14.160.191.254 | 14.160.191.255 | 4,094 |
| 13 | 14.160.192.0/20 | 14.160.192.1 to 14.160.207.254 | 14.160.207.255 | 4,094 |
| 14 | 14.160.208.0/20 | 14.160.208.1 to 14.160.223.254 | 14.160.223.255 | 4,094 |
| 15 | 14.160.224.0/20 | 14.160.224.1 to 14.160.239.254 | 14.160.239.255 | 4,094 |
| 16 | 14.160.240.0/20 | 14.160.240.1 to 14.160.255.254 | 14.160.255.255 | 4,094 |
| 17 | 14.161.0.0/20 | 14.161.0.1 to 14.161.15.254 | 14.161.15.255 | 4,094 |
| 18 | 14.161.16.0/20 | 14.161.16.1 to 14.161.31.254 | 14.161.31.255 | 4,094 |
| 19 | 14.161.32.0/20 | 14.161.32.1 to 14.161.47.254 | 14.161.47.255 | 4,094 |
| 20 | 14.161.48.0/20 | 14.161.48.1 to 14.161.63.254 | 14.161.63.255 | 4,094 |
| 21 | 14.161.64.0/20 | 14.161.64.1 to 14.161.79.254 | 14.161.79.255 | 4,094 |
| 22 | 14.161.80.0/20 | 14.161.80.1 to 14.161.95.254 | 14.161.95.255 | 4,094 |
| 23 | 14.161.96.0/20 | 14.161.96.1 to 14.161.111.254 | 14.161.111.255 | 4,094 |
| 24 | 14.161.112.0/20 | 14.161.112.1 to 14.161.127.254 | 14.161.127.255 | 4,094 |
| 25 | 14.161.128.0/20 | 14.161.128.1 to 14.161.143.254 | 14.161.143.255 | 4,094 |
| 26 | 14.161.144.0/20 | 14.161.144.1 to 14.161.159.254 | 14.161.159.255 | 4,094 |
| 27 | 14.161.160.0/20 | 14.161.160.1 to 14.161.175.254 | 14.161.175.255 | 4,094 |
| 28 | 14.161.176.0/20 | 14.161.176.1 to 14.161.191.254 | 14.161.191.255 | 4,094 |
| 29 | 14.161.192.0/20 | 14.161.192.1 to 14.161.207.254 | 14.161.207.255 | 4,094 |
| 30 | 14.161.208.0/20 | 14.161.208.1 to 14.161.223.254 | 14.161.223.255 | 4,094 |
| 31 | 14.161.224.0/20 | 14.161.224.1 to 14.161.239.254 | 14.161.239.255 | 4,094 |
| 32 | 14.161.240.0/20 | 14.161.240.1 to 14.161.255.254 | 14.161.255.255 | 4,094 |
| 33 | 14.162.0.0/20 | 14.162.0.1 to 14.162.15.254 | 14.162.15.255 | 4,094 |
| 34 | 14.162.16.0/20 | 14.162.16.1 to 14.162.31.254 | 14.162.31.255 | 4,094 |
| 35 | 14.162.32.0/20 | 14.162.32.1 to 14.162.47.254 | 14.162.47.255 | 4,094 |
| 36 | 14.162.48.0/20 | 14.162.48.1 to 14.162.63.254 | 14.162.63.255 | 4,094 |
| 37 | 14.162.64.0/20 | 14.162.64.1 to 14.162.79.254 | 14.162.79.255 | 4,094 |
| 38 | 14.162.80.0/20 | 14.162.80.1 to 14.162.95.254 | 14.162.95.255 | 4,094 |
| 39 | 14.162.96.0/20 | 14.162.96.1 to 14.162.111.254 | 14.162.111.255 | 4,094 |
| 40 | 14.162.112.0/20 | 14.162.112.1 to 14.162.127.254 | 14.162.127.255 | 4,094 |
| 41 | 14.162.128.0/20 | 14.162.128.1 to 14.162.143.254 | 14.162.143.255 | 4,094 |
| 42 | 14.162.144.0/20 | 14.162.144.1 to 14.162.159.254 | 14.162.159.255 | 4,094 |
| 43 | 14.162.160.0/20 | 14.162.160.1 to 14.162.175.254 | 14.162.175.255 | 4,094 |
| 44 | 14.162.176.0/20 | 14.162.176.1 to 14.162.191.254 | 14.162.191.255 | 4,094 |
| 45 | 14.162.192.0/20 | 14.162.192.1 to 14.162.207.254 | 14.162.207.255 | 4,094 |
| 46 | 14.162.208.0/20 | 14.162.208.1 to 14.162.223.254 | 14.162.223.255 | 4,094 |
| 47 | 14.162.224.0/20 | 14.162.224.1 to 14.162.239.254 | 14.162.239.255 | 4,094 |
| 48 | 14.162.240.0/20 | 14.162.240.1 to 14.162.255.254 | 14.162.255.255 | 4,094 |
| 49 | 14.163.0.0/20 | 14.163.0.1 to 14.163.15.254 | 14.163.15.255 | 4,094 |
| 50 | 14.163.16.0/20 | 14.163.16.1 to 14.163.31.254 | 14.163.31.255 | 4,094 |
| 51 | 14.163.32.0/20 | 14.163.32.1 to 14.163.47.254 | 14.163.47.255 | 4,094 |
| 52 | 14.163.48.0/20 | 14.163.48.1 to 14.163.63.254 | 14.163.63.255 | 4,094 |
| 53 | 14.163.64.0/20 | 14.163.64.1 to 14.163.79.254 | 14.163.79.255 | 4,094 |
| 54 | 14.163.80.0/20 | 14.163.80.1 to 14.163.95.254 | 14.163.95.255 | 4,094 |
| 55 | 14.163.96.0/20 | 14.163.96.1 to 14.163.111.254 | 14.163.111.255 | 4,094 |
| 56 | 14.163.112.0/20 | 14.163.112.1 to 14.163.127.254 | 14.163.127.255 | 4,094 |
| 57 | 14.163.128.0/20 | 14.163.128.1 to 14.163.143.254 | 14.163.143.255 | 4,094 |
| 58 | 14.163.144.0/20 | 14.163.144.1 to 14.163.159.254 | 14.163.159.255 | 4,094 |
| 59 | 14.163.160.0/20 | 14.163.160.1 to 14.163.175.254 | 14.163.175.255 | 4,094 |
| 60 | 14.163.176.0/20 | 14.163.176.1 to 14.163.191.254 | 14.163.191.255 | 4,094 |
| 61 | 14.163.192.0/20 | 14.163.192.1 to 14.163.207.254 | 14.163.207.255 | 4,094 |
| 62 | 14.163.208.0/20 | 14.163.208.1 to 14.163.223.254 | 14.163.223.255 | 4,094 |
| 63 | 14.163.224.0/20 | 14.163.224.1 to 14.163.239.254 | 14.163.239.255 | 4,094 |
| 64 | 14.163.240.0/20 | 14.163.240.1 to 14.163.255.254 | 14.163.255.255 | 4,094 |
| 65 | 14.164.0.0/20 | 14.164.0.1 to 14.164.15.254 | 14.164.15.255 | 4,094 |
| 66 | 14.164.16.0/20 | 14.164.16.1 to 14.164.31.254 | 14.164.31.255 | 4,094 |
| 67 | 14.164.32.0/20 | 14.164.32.1 to 14.164.47.254 | 14.164.47.255 | 4,094 |
| 68 | 14.164.48.0/20 | 14.164.48.1 to 14.164.63.254 | 14.164.63.255 | 4,094 |
| 69 | 14.164.64.0/20 | 14.164.64.1 to 14.164.79.254 | 14.164.79.255 | 4,094 |
| 70 | 14.164.80.0/20 | 14.164.80.1 to 14.164.95.254 | 14.164.95.255 | 4,094 |
| 71 | 14.164.96.0/20 | 14.164.96.1 to 14.164.111.254 | 14.164.111.255 | 4,094 |
| 72 | 14.164.112.0/20 | 14.164.112.1 to 14.164.127.254 | 14.164.127.255 | 4,094 |
| 73 | 14.164.128.0/20 | 14.164.128.1 to 14.164.143.254 | 14.164.143.255 | 4,094 |
| 74 | 14.164.144.0/20 | 14.164.144.1 to 14.164.159.254 | 14.164.159.255 | 4,094 |
| 75 | 14.164.160.0/20 | 14.164.160.1 to 14.164.175.254 | 14.164.175.255 | 4,094 |
| 76 | 14.164.176.0/20 | 14.164.176.1 to 14.164.191.254 | 14.164.191.255 | 4,094 |
| 77 | 14.164.192.0/20 | 14.164.192.1 to 14.164.207.254 | 14.164.207.255 | 4,094 |
| 78 | 14.164.208.0/20 | 14.164.208.1 to 14.164.223.254 | 14.164.223.255 | 4,094 |
| 79 | 14.164.224.0/20 | 14.164.224.1 to 14.164.239.254 | 14.164.239.255 | 4,094 |
| 80 | 14.164.240.0/20 | 14.164.240.1 to 14.164.255.254 | 14.164.255.255 | 4,094 |
| 81 | 14.165.0.0/20 | 14.165.0.1 to 14.165.15.254 | 14.165.15.255 | 4,094 |
| 82 | 14.165.16.0/20 | 14.165.16.1 to 14.165.31.254 | 14.165.31.255 | 4,094 |
| 83 | 14.165.32.0/20 | 14.165.32.1 to 14.165.47.254 | 14.165.47.255 | 4,094 |
| 84 | 14.165.48.0/20 | 14.165.48.1 to 14.165.63.254 | 14.165.63.255 | 4,094 |
| 85 | 14.165.64.0/20 | 14.165.64.1 to 14.165.79.254 | 14.165.79.255 | 4,094 |
| 86 | 14.165.80.0/20 | 14.165.80.1 to 14.165.95.254 | 14.165.95.255 | 4,094 |
| 87 | 14.165.96.0/20 | 14.165.96.1 to 14.165.111.254 | 14.165.111.255 | 4,094 |
| 88 | 14.165.112.0/20 | 14.165.112.1 to 14.165.127.254 | 14.165.127.255 | 4,094 |
| 89 | 14.165.128.0/20 | 14.165.128.1 to 14.165.143.254 | 14.165.143.255 | 4,094 |
| 90 | 14.165.144.0/20 | 14.165.144.1 to 14.165.159.254 | 14.165.159.255 | 4,094 |
| 91 | 14.165.160.0/20 | 14.165.160.1 to 14.165.175.254 | 14.165.175.255 | 4,094 |
| 92 | 14.165.176.0/20 | 14.165.176.1 to 14.165.191.254 | 14.165.191.255 | 4,094 |
| 93 | 14.165.192.0/20 | 14.165.192.1 to 14.165.207.254 | 14.165.207.255 | 4,094 |
| 94 | 14.165.208.0/20 | 14.165.208.1 to 14.165.223.254 | 14.165.223.255 | 4,094 |
| 95 | 14.165.224.0/20 | 14.165.224.1 to 14.165.239.254 | 14.165.239.255 | 4,094 |
| 96 | 14.165.240.0/20 | 14.165.240.1 to 14.165.255.254 | 14.165.255.255 | 4,094 |
| 97 | 14.166.0.0/20 | 14.166.0.1 to 14.166.15.254 | 14.166.15.255 | 4,094 |
| 98 | 14.166.16.0/20 | 14.166.16.1 to 14.166.31.254 | 14.166.31.255 | 4,094 |
| 99 | 14.166.32.0/20 | 14.166.32.1 to 14.166.47.254 | 14.166.47.255 | 4,094 |
| 100 | 14.166.48.0/20 | 14.166.48.1 to 14.166.63.254 | 14.166.63.255 | 4,094 |
| 101 | 14.166.64.0/20 | 14.166.64.1 to 14.166.79.254 | 14.166.79.255 | 4,094 |
| 102 | 14.166.80.0/20 | 14.166.80.1 to 14.166.95.254 | 14.166.95.255 | 4,094 |
| 103 | 14.166.96.0/20 | 14.166.96.1 to 14.166.111.254 | 14.166.111.255 | 4,094 |
| 104 | 14.166.112.0/20 | 14.166.112.1 to 14.166.127.254 | 14.166.127.255 | 4,094 |
| 105 | 14.166.128.0/20 | 14.166.128.1 to 14.166.143.254 | 14.166.143.255 | 4,094 |
| 106 | 14.166.144.0/20 | 14.166.144.1 to 14.166.159.254 | 14.166.159.255 | 4,094 |
| 107 | 14.166.160.0/20 | 14.166.160.1 to 14.166.175.254 | 14.166.175.255 | 4,094 |
| 108 | 14.166.176.0/20 | 14.166.176.1 to 14.166.191.254 | 14.166.191.255 | 4,094 |
| 109 | 14.166.192.0/20 | 14.166.192.1 to 14.166.207.254 | 14.166.207.255 | 4,094 |
| 110 | 14.166.208.0/20 | 14.166.208.1 to 14.166.223.254 | 14.166.223.255 | 4,094 |
| 111 | 14.166.224.0/20 | 14.166.224.1 to 14.166.239.254 | 14.166.239.255 | 4,094 |
| 112 | 14.166.240.0/20 | 14.166.240.1 to 14.166.255.254 | 14.166.255.255 | 4,094 |
| 113 | 14.167.0.0/20 | 14.167.0.1 to 14.167.15.254 | 14.167.15.255 | 4,094 |
| 114 | 14.167.16.0/20 | 14.167.16.1 to 14.167.31.254 | 14.167.31.255 | 4,094 |
| 115 | 14.167.32.0/20 | 14.167.32.1 to 14.167.47.254 | 14.167.47.255 | 4,094 |
| 116 | 14.167.48.0/20 | 14.167.48.1 to 14.167.63.254 | 14.167.63.255 | 4,094 |
| 117 | 14.167.64.0/20 | 14.167.64.1 to 14.167.79.254 | 14.167.79.255 | 4,094 |
| 118 | 14.167.80.0/20 | 14.167.80.1 to 14.167.95.254 | 14.167.95.255 | 4,094 |
| 119 | 14.167.96.0/20 | 14.167.96.1 to 14.167.111.254 | 14.167.111.255 | 4,094 |
| 120 | 14.167.112.0/20 | 14.167.112.1 to 14.167.127.254 | 14.167.127.255 | 4,094 |
| 121 | 14.167.128.0/20 | 14.167.128.1 to 14.167.143.254 | 14.167.143.255 | 4,094 |
| 122 | 14.167.144.0/20 | 14.167.144.1 to 14.167.159.254 | 14.167.159.255 | 4,094 |
| 123 | 14.167.160.0/20 | 14.167.160.1 to 14.167.175.254 | 14.167.175.255 | 4,094 |
| 124 | 14.167.176.0/20 | 14.167.176.1 to 14.167.191.254 | 14.167.191.255 | 4,094 |
| 125 | 14.167.192.0/20 | 14.167.192.1 to 14.167.207.254 | 14.167.207.255 | 4,094 |
| 126 | 14.167.208.0/20 | 14.167.208.1 to 14.167.223.254 | 14.167.223.255 | 4,094 |
| 127 | 14.167.224.0/20 | 14.167.224.1 to 14.167.239.254 | 14.167.239.255 | 4,094 |
| 128 | 14.167.240.0/20 | 14.167.240.1 to 14.167.255.254 | 14.167.255.255 | 4,094 |
| 129 | 14.168.0.0/20 | 14.168.0.1 to 14.168.15.254 | 14.168.15.255 | 4,094 |
| 130 | 14.168.16.0/20 | 14.168.16.1 to 14.168.31.254 | 14.168.31.255 | 4,094 |
| 131 | 14.168.32.0/20 | 14.168.32.1 to 14.168.47.254 | 14.168.47.255 | 4,094 |
| 132 | 14.168.48.0/20 | 14.168.48.1 to 14.168.63.254 | 14.168.63.255 | 4,094 |
| 133 | 14.168.64.0/20 | 14.168.64.1 to 14.168.79.254 | 14.168.79.255 | 4,094 |
| 134 | 14.168.80.0/20 | 14.168.80.1 to 14.168.95.254 | 14.168.95.255 | 4,094 |
| 135 | 14.168.96.0/20 | 14.168.96.1 to 14.168.111.254 | 14.168.111.255 | 4,094 |
| 136 | 14.168.112.0/20 | 14.168.112.1 to 14.168.127.254 | 14.168.127.255 | 4,094 |
| 137 | 14.168.128.0/20 | 14.168.128.1 to 14.168.143.254 | 14.168.143.255 | 4,094 |
| 138 | 14.168.144.0/20 | 14.168.144.1 to 14.168.159.254 | 14.168.159.255 | 4,094 |
| 139 | 14.168.160.0/20 | 14.168.160.1 to 14.168.175.254 | 14.168.175.255 | 4,094 |
| 140 | 14.168.176.0/20 | 14.168.176.1 to 14.168.191.254 | 14.168.191.255 | 4,094 |
| 141 | 14.168.192.0/20 | 14.168.192.1 to 14.168.207.254 | 14.168.207.255 | 4,094 |
| 142 | 14.168.208.0/20 | 14.168.208.1 to 14.168.223.254 | 14.168.223.255 | 4,094 |
| 143 | 14.168.224.0/20 | 14.168.224.1 to 14.168.239.254 | 14.168.239.255 | 4,094 |
| 144 | 14.168.240.0/20 | 14.168.240.1 to 14.168.255.254 | 14.168.255.255 | 4,094 |
| 145 | 14.169.0.0/20 | 14.169.0.1 to 14.169.15.254 | 14.169.15.255 | 4,094 |
| 146 | 14.169.16.0/20 | 14.169.16.1 to 14.169.31.254 | 14.169.31.255 | 4,094 |
| 147 | 14.169.32.0/20 | 14.169.32.1 to 14.169.47.254 | 14.169.47.255 | 4,094 |
| 148 | 14.169.48.0/20 | 14.169.48.1 to 14.169.63.254 | 14.169.63.255 | 4,094 |
| 149 | 14.169.64.0/20 | 14.169.64.1 to 14.169.79.254 | 14.169.79.255 | 4,094 |
| 150 | 14.169.80.0/20 | 14.169.80.1 to 14.169.95.254 | 14.169.95.255 | 4,094 |
| 151 | 14.169.96.0/20 | 14.169.96.1 to 14.169.111.254 | 14.169.111.255 | 4,094 |
| 152 | 14.169.112.0/20 | 14.169.112.1 to 14.169.127.254 | 14.169.127.255 | 4,094 |
| 153 | 14.169.128.0/20 | 14.169.128.1 to 14.169.143.254 | 14.169.143.255 | 4,094 |
| 154 | 14.169.144.0/20 | 14.169.144.1 to 14.169.159.254 | 14.169.159.255 | 4,094 |
| 155 | 14.169.160.0/20 | 14.169.160.1 to 14.169.175.254 | 14.169.175.255 | 4,094 |
| 156 | 14.169.176.0/20 | 14.169.176.1 to 14.169.191.254 | 14.169.191.255 | 4,094 |
| 157 | 14.169.192.0/20 | 14.169.192.1 to 14.169.207.254 | 14.169.207.255 | 4,094 |
| 158 | 14.169.208.0/20 | 14.169.208.1 to 14.169.223.254 | 14.169.223.255 | 4,094 |
| 159 | 14.169.224.0/20 | 14.169.224.1 to 14.169.239.254 | 14.169.239.255 | 4,094 |
| 160 | 14.169.240.0/20 | 14.169.240.1 to 14.169.255.254 | 14.169.255.255 | 4,094 |
| 161 | 14.170.0.0/20 | 14.170.0.1 to 14.170.15.254 | 14.170.15.255 | 4,094 |
| 162 | 14.170.16.0/20 | 14.170.16.1 to 14.170.31.254 | 14.170.31.255 | 4,094 |
| 163 | 14.170.32.0/20 | 14.170.32.1 to 14.170.47.254 | 14.170.47.255 | 4,094 |
| 164 | 14.170.48.0/20 | 14.170.48.1 to 14.170.63.254 | 14.170.63.255 | 4,094 |
| 165 | 14.170.64.0/20 | 14.170.64.1 to 14.170.79.254 | 14.170.79.255 | 4,094 |
| 166 | 14.170.80.0/20 | 14.170.80.1 to 14.170.95.254 | 14.170.95.255 | 4,094 |
| 167 | 14.170.96.0/20 | 14.170.96.1 to 14.170.111.254 | 14.170.111.255 | 4,094 |
| 168 | 14.170.112.0/20 | 14.170.112.1 to 14.170.127.254 | 14.170.127.255 | 4,094 |
| 169 | 14.170.128.0/20 | 14.170.128.1 to 14.170.143.254 | 14.170.143.255 | 4,094 |
| 170 | 14.170.144.0/20 | 14.170.144.1 to 14.170.159.254 | 14.170.159.255 | 4,094 |
| 171 | 14.170.160.0/20 | 14.170.160.1 to 14.170.175.254 | 14.170.175.255 | 4,094 |
| 172 | 14.170.176.0/20 | 14.170.176.1 to 14.170.191.254 | 14.170.191.255 | 4,094 |
| 173 | 14.170.192.0/20 | 14.170.192.1 to 14.170.207.254 | 14.170.207.255 | 4,094 |
| 174 | 14.170.208.0/20 | 14.170.208.1 to 14.170.223.254 | 14.170.223.255 | 4,094 |
| 175 | 14.170.224.0/20 | 14.170.224.1 to 14.170.239.254 | 14.170.239.255 | 4,094 |
| 176 | 14.170.240.0/20 | 14.170.240.1 to 14.170.255.254 | 14.170.255.255 | 4,094 |
| 177 | 14.171.0.0/20 | 14.171.0.1 to 14.171.15.254 | 14.171.15.255 | 4,094 |
| 178 | 14.171.16.0/20 | 14.171.16.1 to 14.171.31.254 | 14.171.31.255 | 4,094 |
| 179 | 14.171.32.0/20 | 14.171.32.1 to 14.171.47.254 | 14.171.47.255 | 4,094 |
| 180 | 14.171.48.0/20 | 14.171.48.1 to 14.171.63.254 | 14.171.63.255 | 4,094 |
| 181 | 14.171.64.0/20 | 14.171.64.1 to 14.171.79.254 | 14.171.79.255 | 4,094 |
| 182 | 14.171.80.0/20 | 14.171.80.1 to 14.171.95.254 | 14.171.95.255 | 4,094 |
| 183 | 14.171.96.0/20 | 14.171.96.1 to 14.171.111.254 | 14.171.111.255 | 4,094 |
| 184 | 14.171.112.0/20 | 14.171.112.1 to 14.171.127.254 | 14.171.127.255 | 4,094 |
| 185 | 14.171.128.0/20 | 14.171.128.1 to 14.171.143.254 | 14.171.143.255 | 4,094 |
| 186 | 14.171.144.0/20 | 14.171.144.1 to 14.171.159.254 | 14.171.159.255 | 4,094 |
| 187 | 14.171.160.0/20 | 14.171.160.1 to 14.171.175.254 | 14.171.175.255 | 4,094 |
| 188 | 14.171.176.0/20 | 14.171.176.1 to 14.171.191.254 | 14.171.191.255 | 4,094 |
| 189 | 14.171.192.0/20 | 14.171.192.1 to 14.171.207.254 | 14.171.207.255 | 4,094 |
| 190 | 14.171.208.0/20 | 14.171.208.1 to 14.171.223.254 | 14.171.223.255 | 4,094 |
| 191 | 14.171.224.0/20 | 14.171.224.1 to 14.171.239.254 | 14.171.239.255 | 4,094 |
| 192 | 14.171.240.0/20 | 14.171.240.1 to 14.171.255.254 | 14.171.255.255 | 4,094 |
| 193 | 14.172.0.0/20 | 14.172.0.1 to 14.172.15.254 | 14.172.15.255 | 4,094 |
| 194 | 14.172.16.0/20 | 14.172.16.1 to 14.172.31.254 | 14.172.31.255 | 4,094 |
| 195 | 14.172.32.0/20 | 14.172.32.1 to 14.172.47.254 | 14.172.47.255 | 4,094 |
| 196 | 14.172.48.0/20 | 14.172.48.1 to 14.172.63.254 | 14.172.63.255 | 4,094 |
| 197 | 14.172.64.0/20 | 14.172.64.1 to 14.172.79.254 | 14.172.79.255 | 4,094 |
| 198 | 14.172.80.0/20 | 14.172.80.1 to 14.172.95.254 | 14.172.95.255 | 4,094 |
| 199 | 14.172.96.0/20 | 14.172.96.1 to 14.172.111.254 | 14.172.111.255 | 4,094 |
| 200 | 14.172.112.0/20 | 14.172.112.1 to 14.172.127.254 | 14.172.127.255 | 4,094 |
| 201 | 14.172.128.0/20 | 14.172.128.1 to 14.172.143.254 | 14.172.143.255 | 4,094 |
| 202 | 14.172.144.0/20 | 14.172.144.1 to 14.172.159.254 | 14.172.159.255 | 4,094 |
| 203 | 14.172.160.0/20 | 14.172.160.1 to 14.172.175.254 | 14.172.175.255 | 4,094 |
| 204 | 14.172.176.0/20 | 14.172.176.1 to 14.172.191.254 | 14.172.191.255 | 4,094 |
| 205 | 14.172.192.0/20 | 14.172.192.1 to 14.172.207.254 | 14.172.207.255 | 4,094 |
| 206 | 14.172.208.0/20 | 14.172.208.1 to 14.172.223.254 | 14.172.223.255 | 4,094 |
| 207 | 14.172.224.0/20 | 14.172.224.1 to 14.172.239.254 | 14.172.239.255 | 4,094 |
| 208 | 14.172.240.0/20 | 14.172.240.1 to 14.172.255.254 | 14.172.255.255 | 4,094 |
| 209 | 14.173.0.0/20 | 14.173.0.1 to 14.173.15.254 | 14.173.15.255 | 4,094 |
| 210 | 14.173.16.0/20 | 14.173.16.1 to 14.173.31.254 | 14.173.31.255 | 4,094 |
| 211 | 14.173.32.0/20 | 14.173.32.1 to 14.173.47.254 | 14.173.47.255 | 4,094 |
| 212 | 14.173.48.0/20 | 14.173.48.1 to 14.173.63.254 | 14.173.63.255 | 4,094 |
| 213 | 14.173.64.0/20 | 14.173.64.1 to 14.173.79.254 | 14.173.79.255 | 4,094 |
| 214 | 14.173.80.0/20 | 14.173.80.1 to 14.173.95.254 | 14.173.95.255 | 4,094 |
| 215 | 14.173.96.0/20 | 14.173.96.1 to 14.173.111.254 | 14.173.111.255 | 4,094 |
| 216 | 14.173.112.0/20 | 14.173.112.1 to 14.173.127.254 | 14.173.127.255 | 4,094 |
| 217 | 14.173.128.0/20 | 14.173.128.1 to 14.173.143.254 | 14.173.143.255 | 4,094 |
| 218 | 14.173.144.0/20 | 14.173.144.1 to 14.173.159.254 | 14.173.159.255 | 4,094 |
| 219 | 14.173.160.0/20 | 14.173.160.1 to 14.173.175.254 | 14.173.175.255 | 4,094 |
| 220 | 14.173.176.0/20 | 14.173.176.1 to 14.173.191.254 | 14.173.191.255 | 4,094 |
| 221 | 14.173.192.0/20 | 14.173.192.1 to 14.173.207.254 | 14.173.207.255 | 4,094 |
| 222 | 14.173.208.0/20 | 14.173.208.1 to 14.173.223.254 | 14.173.223.255 | 4,094 |
| 223 | 14.173.224.0/20 | 14.173.224.1 to 14.173.239.254 | 14.173.239.255 | 4,094 |
| 224 | 14.173.240.0/20 | 14.173.240.1 to 14.173.255.254 | 14.173.255.255 | 4,094 |
| 225 | 14.174.0.0/20 | 14.174.0.1 to 14.174.15.254 | 14.174.15.255 | 4,094 |
| 226 | 14.174.16.0/20 | 14.174.16.1 to 14.174.31.254 | 14.174.31.255 | 4,094 |
| 227 | 14.174.32.0/20 | 14.174.32.1 to 14.174.47.254 | 14.174.47.255 | 4,094 |
| 228 | 14.174.48.0/20 | 14.174.48.1 to 14.174.63.254 | 14.174.63.255 | 4,094 |
| 229 | 14.174.64.0/20 | 14.174.64.1 to 14.174.79.254 | 14.174.79.255 | 4,094 |
| 230 | 14.174.80.0/20 | 14.174.80.1 to 14.174.95.254 | 14.174.95.255 | 4,094 |
| 231 | 14.174.96.0/20 | 14.174.96.1 to 14.174.111.254 | 14.174.111.255 | 4,094 |
| 232 | 14.174.112.0/20 | 14.174.112.1 to 14.174.127.254 | 14.174.127.255 | 4,094 |
| 233 | 14.174.128.0/20 | 14.174.128.1 to 14.174.143.254 | 14.174.143.255 | 4,094 |
| 234 | 14.174.144.0/20 | 14.174.144.1 to 14.174.159.254 | 14.174.159.255 | 4,094 |
| 235 | 14.174.160.0/20 | 14.174.160.1 to 14.174.175.254 | 14.174.175.255 | 4,094 |
| 236 | 14.174.176.0/20 | 14.174.176.1 to 14.174.191.254 | 14.174.191.255 | 4,094 |
| 237 | 14.174.192.0/20 | 14.174.192.1 to 14.174.207.254 | 14.174.207.255 | 4,094 |
| 238 | 14.174.208.0/20 | 14.174.208.1 to 14.174.223.254 | 14.174.223.255 | 4,094 |
| 239 | 14.174.224.0/20 | 14.174.224.1 to 14.174.239.254 | 14.174.239.255 | 4,094 |
| 240 | 14.174.240.0/20 | 14.174.240.1 to 14.174.255.254 | 14.174.255.255 | 4,094 |
| 241 | 14.175.0.0/20 | 14.175.0.1 to 14.175.15.254 | 14.175.15.255 | 4,094 |
| 242 | 14.175.16.0/20 | 14.175.16.1 to 14.175.31.254 | 14.175.31.255 | 4,094 |
| 243 | 14.175.32.0/20 | 14.175.32.1 to 14.175.47.254 | 14.175.47.255 | 4,094 |
| 244 | 14.175.48.0/20 | 14.175.48.1 to 14.175.63.254 | 14.175.63.255 | 4,094 |
| 245 | 14.175.64.0/20 | 14.175.64.1 to 14.175.79.254 | 14.175.79.255 | 4,094 |
| 246 | 14.175.80.0/20 | 14.175.80.1 to 14.175.95.254 | 14.175.95.255 | 4,094 |
| 247 | 14.175.96.0/20 | 14.175.96.1 to 14.175.111.254 | 14.175.111.255 | 4,094 |
| 248 | 14.175.112.0/20 | 14.175.112.1 to 14.175.127.254 | 14.175.127.255 | 4,094 |
| 249 | 14.175.128.0/20 | 14.175.128.1 to 14.175.143.254 | 14.175.143.255 | 4,094 |
| 250 | 14.175.144.0/20 | 14.175.144.1 to 14.175.159.254 | 14.175.159.255 | 4,094 |
| 251 | 14.175.160.0/20 | 14.175.160.1 to 14.175.175.254 | 14.175.175.255 | 4,094 |
| 252 | 14.175.176.0/20 | 14.175.176.1 to 14.175.191.254 | 14.175.191.255 | 4,094 |
| 253 | 14.175.192.0/20 | 14.175.192.1 to 14.175.207.254 | 14.175.207.255 | 4,094 |
| 254 | 14.175.208.0/20 | 14.175.208.1 to 14.175.223.254 | 14.175.223.255 | 4,094 |
| 255 | 14.175.224.0/20 | 14.175.224.1 to 14.175.239.254 | 14.175.239.255 | 4,094 |
| 256 | 14.175.240.0/20 | 14.175.240.1 to 14.175.255.254 | 14.175.255.255 | 4,094 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |